System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeExpression System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent a reference to an index of an array of one or more dimensions. Use for representing a reference to an index of a code (non-array) indexer. The property indicates the indexer object. The property indicates either a single index within the target array, or a set of indexes that together specify a specific intersection of indexes across the dimensions of the array.

Represents a reference to an index of an array.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified target object and indexes.

  A that indicates the array the indexer targets.
  The index or indexes to reference.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpressionCollection To be added: an object of type 'CodeExpressionCollection'

  This can contain a that specifies a single index within the target array, or multiple objects that together specify a specific intersection of indexes across the dimensions of the array.

  Gets or sets the index or indexes of the indexer expression.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpression To be added: an object of type 'CodeExpression'

  This property typically contains either a , a , or a .

  Gets or sets the target object of the array indexer.